# Copyright 2015 The Chromium Authors. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.

{
  'variables': {
    'src_dir': 'src',
    'generated_src_dir': 'gen',
  },
  'targets': [
    {
      'target_name': 'libwds',
      'type': 'shared_library',
      'include_dirs': [
        '<(src_dir)',
        '<(generated_src_dir)',
      ],
      'sources': [
        '<(generated_src_dir)/errorscanner.cpp',
        '<(generated_src_dir)/errorscanner.h',
        '<(generated_src_dir)/headerscanner.cpp',
        '<(generated_src_dir)/headerscanner.h',
        '<(generated_src_dir)/messagescanner.cpp',
        '<(generated_src_dir)/messagescanner.h',
        '<(generated_src_dir)/parser.cpp',
        '<(generated_src_dir)/parser.h',
        '<(src_dir)/libwds/common/logging.cpp',
        '<(src_dir)/libwds/common/message_handler.cpp',
        '<(src_dir)/libwds/common/message_handler.h',
        '<(src_dir)/libwds/common/rtsp_input_handler.cpp',
        '<(src_dir)/libwds/common/rtsp_input_handler.h',
        '<(src_dir)/libwds/common/video_format.cpp',
        '<(src_dir)/libwds/public/audio_codec.h',
        '<(src_dir)/libwds/public/connector_type.h',
        '<(src_dir)/libwds/public/logging.h',
        '<(src_dir)/libwds/public/media_manager.h',
        '<(src_dir)/libwds/public/peer.h',
        '<(src_dir)/libwds/public/source.h',
        '<(src_dir)/libwds/public/video_format.h',
        '<(src_dir)/libwds/public/wds_export.h',
        '<(src_dir)/libwds/rtsp/audiocodecs.cpp',
        '<(src_dir)/libwds/rtsp/audiocodecs.h',
        '<(src_dir)/libwds/rtsp/avformatchangetiming.cpp',
        '<(src_dir)/libwds/rtsp/avformatchangetiming.h',
        '<(src_dir)/libwds/rtsp/clientrtpports.cpp',
        '<(src_dir)/libwds/rtsp/clientrtpports.h',
        '<(src_dir)/libwds/rtsp/connectortype.cpp',
        '<(src_dir)/libwds/rtsp/connectortype.h',
        '<(src_dir)/libwds/rtsp/constants.h',
        '<(src_dir)/libwds/rtsp/contentprotection.cpp',
        '<(src_dir)/libwds/rtsp/contentprotection.h',
        '<(src_dir)/libwds/rtsp/coupledsink.cpp',
        '<(src_dir)/libwds/rtsp/coupledsink.h',
        '<(src_dir)/libwds/rtsp/displayedid.cpp',
        '<(src_dir)/libwds/rtsp/displayedid.h',
        '<(src_dir)/libwds/rtsp/driver.cpp',
        '<(src_dir)/libwds/rtsp/driver.h',
        '<(src_dir)/libwds/rtsp/errorscanner.h',
        '<(src_dir)/libwds/rtsp/formats3d.cpp',
        '<(src_dir)/libwds/rtsp/formats3d.h',
        '<(src_dir)/libwds/rtsp/genericproperty.cpp',
        '<(src_dir)/libwds/rtsp/genericproperty.h',
        '<(src_dir)/libwds/rtsp/getparameter.cpp',
        '<(src_dir)/libwds/rtsp/getparameter.h',
        '<(src_dir)/libwds/rtsp/header.cpp',
        '<(src_dir)/libwds/rtsp/header.h',
        '<(src_dir)/libwds/rtsp/headerscanner.h',
        '<(src_dir)/libwds/rtsp/i2c.cpp',
        '<(src_dir)/libwds/rtsp/i2c.h',
        '<(src_dir)/libwds/rtsp/idrrequest.cpp',
        '<(src_dir)/libwds/rtsp/idrrequest.h',
        '<(src_dir)/libwds/rtsp/message.cpp',
        '<(src_dir)/libwds/rtsp/message.h',
        '<(src_dir)/libwds/rtsp/messagescanner.h',
        '<(src_dir)/libwds/rtsp/options.cpp',
        '<(src_dir)/libwds/rtsp/options.h',
        '<(src_dir)/libwds/rtsp/pause.cpp',
        '<(src_dir)/libwds/rtsp/pause.h',
        '<(src_dir)/libwds/rtsp/payload.cpp',
        '<(src_dir)/libwds/rtsp/payload.h',
        '<(src_dir)/libwds/rtsp/play.cpp',
        '<(src_dir)/libwds/rtsp/play.h',
        '<(src_dir)/libwds/rtsp/preferreddisplaymode.cpp',
        '<(src_dir)/libwds/rtsp/preferreddisplaymode.h',
        '<(src_dir)/libwds/rtsp/presentationurl.cpp',
        '<(src_dir)/libwds/rtsp/presentationurl.h',
        '<(src_dir)/libwds/rtsp/property.cpp',
        '<(src_dir)/libwds/rtsp/property.h',
        '<(src_dir)/libwds/rtsp/propertyerrors.cpp',
        '<(src_dir)/libwds/rtsp/propertyerrors.h',
        '<(src_dir)/libwds/rtsp/reply.cpp',
        '<(src_dir)/libwds/rtsp/reply.h',
        '<(src_dir)/libwds/rtsp/route.cpp',
        '<(src_dir)/libwds/rtsp/route.h',
        '<(src_dir)/libwds/rtsp/setparameter.cpp',
        '<(src_dir)/libwds/rtsp/setparameter.h',
        '<(src_dir)/libwds/rtsp/setup.cpp',
        '<(src_dir)/libwds/rtsp/setup.h',
        '<(src_dir)/libwds/rtsp/standby.cpp',
        '<(src_dir)/libwds/rtsp/standby.h',
        '<(src_dir)/libwds/rtsp/standbyresumecapability.cpp',
        '<(src_dir)/libwds/rtsp/standbyresumecapability.h',
        '<(src_dir)/libwds/rtsp/teardown.cpp',
        '<(src_dir)/libwds/rtsp/teardown.h',
        '<(src_dir)/libwds/rtsp/transportheader.cpp',
        '<(src_dir)/libwds/rtsp/transportheader.h',
        '<(src_dir)/libwds/rtsp/triggermethod.cpp',
        '<(src_dir)/libwds/rtsp/triggermethod.h',
        '<(src_dir)/libwds/rtsp/uibccapability.cpp',
        '<(src_dir)/libwds/rtsp/uibccapability.h',
        '<(src_dir)/libwds/rtsp/uibcsetting.cpp',
        '<(src_dir)/libwds/rtsp/uibcsetting.h',
        '<(src_dir)/libwds/rtsp/videoformats.cpp',
        '<(src_dir)/libwds/rtsp/videoformats.h',
        '<(src_dir)/libwds/source/cap_negotiation_state.cpp',
        '<(src_dir)/libwds/source/cap_negotiation_state.h',
        '<(src_dir)/libwds/source/init_state.cpp',
        '<(src_dir)/libwds/source/init_state.h',
        '<(src_dir)/libwds/source/session_state.cpp',
        '<(src_dir)/libwds/source/session_state.h',
        '<(src_dir)/libwds/source/source.cpp',
        '<(src_dir)/libwds/source/streaming_state.cpp',
        '<(src_dir)/libwds/source/streaming_state.h',
      ],
    },   
  ],
}
